Hacking cios14 installed as cios36?

PsycloneTW

Member
OP
Newcomer
Joined
Nov 22, 2009
Messages
5
Trophies
0
XP
31
Country
United States
All,

First I want to say that I searched the site and couldn't find any threads referring to this issue.

My Wii specs:

FW: 3.4u
Modchip:Yaosm

I haven't tried any of the newer games until NSMB came out and have figured out that I need a cios and neogamma to run it on a chipped Wii. I got it to work, mostly. My question is regarding the cios installation. I downloaded cios rev14 and followed the instructions(mostly) and everything seemed to go ok, however I noticed that on the cios installation menu that I did not have cios249 as an available selection in the menu but only had cios numbers available in the range of between lower 30's to 55. I did not have cios249 available as was showing in the installer instructions before you run it. I ended up leaving it at the default of cios36.

Now when I run neogamma, it complains that I don't have cios249 installed and asks if I want to continue. I do continue and am able to launch and play NSMB with no issues.

I have read a bit about cios and what I have read concerns me that I installed rev14 as cios36, that it could brick my wii if I wanted to remove/change it.

So my first question is, do I need to uninstall the cios to get a cio249 version? can I do it safely? Once uninstalled, how would I get the cios249 option to become available?

Thanks.
 

PsycloneTW

Member
OP
Newcomer
Joined
Nov 22, 2009
Messages
5
Trophies
0
XP
31
Country
United States
nutta_nic said:
firstly that post was just random waffle and made no sence what so ever,
secondly to get SMBW to work on a modchip read the 1st post in this thread
http://gbatemp.net/index.php?showtopic=189802

edit

your best bet is installing ios53 trucha patching your system then patching the iso

Okaay, not sure how it made no sense.

I have a hard modded Wii(yaosm chip). I want to play NSMB from DVD, not USB.
I read that I need a loader, which requires a cios, ciosrev14 was recommended.
I installed ciosrev14 from the HBC using network update.
My question was on the initial install screen for ciosrev14, I did not have IOS249 as an option, only IOS30 through IOS55.
The installer was default set to IOS36. I left the setting default and installed.
Installation completed with no apparent problems.
I installed NeoGammaR8beta12
When I launch NeoGammaR8beta12 from the HBC it 'warns' me that I don't have IOS249 installed and asks if I want to continue. I continue and game loads
What is the impact(other than getting a warning every time) of not having IOS249 installed?
Do I need to install a clean IOS36? Is there a safe procedure for this? Is it possible to brick my Wii by installing over an existing IOS36? Are there any guides for this?
 

nutta_nic

Well-Known Member
Member
Joined
Oct 25, 2008
Messages
556
Trophies
0
XP
164
Country
PsycloneTW said:
nutta_nic said:
firstly that post was just random waffle and made no sence what so ever,
secondly to get SMBW to work on a modchip read the 1st post in this thread
http://gbatemp.net/index.php?showtopic=189802

edit

your best bet is installing ios53 trucha patching your system then patching the iso

Okaay, not sure how it made no sense.

I have a hard modded Wii(yaosm chip). I want to play NSMB from DVD, not USB.
I read that I need a loader, which requires a cios, ciosrev14 was recommended.
I installed ciosrev14 from the HBC using network update.
My question was on the initial install screen for ciosrev14, I did not have IOS249 as an option, only IOS30 through IOS55.
The installer was default set to IOS36. I left the setting default and installed.
Installation completed with no apparent problems.
I installed NeoGammaR8beta12
When I launch NeoGammaR8beta12 from the HBC it 'warns' me that I don't have IOS249 installed and asks if I want to continue. I continue and game loads
What is the impact(other than getting a warning every time) of not having IOS249 installed?
Do I need to install a clean IOS36? Is there a safe procedure for this? Is it possible to brick my Wii by installing over an existing IOS36? Are there any guides for this?

it made no sence because the cios installer installs to 249 period, no choices just 249, it may ask what ios to use to install the cios i cant honestly remembe but anyway do as i said earlier and you will be fine
 

PsycloneTW

Member
OP
Newcomer
Joined
Nov 22, 2009
Messages
5
Trophies
0
XP
31
Country
United States
nutta_nic said:
PsycloneTW said:
nutta_nic said:
firstly that post was just random waffle and made no sence what so ever,
secondly to get SMBW to work on a modchip read the 1st post in this thread
http://gbatemp.net/index.php?showtopic=189802

edit

your best bet is installing ios53 trucha patching your system then patching the iso

Okaay, not sure how it made no sense.

I have a hard modded Wii(yaosm chip). I want to play NSMB from DVD, not USB.
I read that I need a loader, which requires a cios, ciosrev14 was recommended.
I installed ciosrev14 from the HBC using network update.
My question was on the initial install screen for ciosrev14, I did not have IOS249 as an option, only IOS30 through IOS55.
The installer was default set to IOS36. I left the setting default and installed.
Installation completed with no apparent problems.
I installed NeoGammaR8beta12
When I launch NeoGammaR8beta12 from the HBC it 'warns' me that I don't have IOS249 installed and asks if I want to continue. I continue and game loads
What is the impact(other than getting a warning every time) of not having IOS249 installed?
Do I need to install a clean IOS36? Is there a safe procedure for this? Is it possible to brick my Wii by installing over an existing IOS36? Are there any guides for this?

it made no sence because the cios installer installs to 249 period, no choices just 249, it may ask what ios to use to install the cios i cant honestly remembe but anyway do as i said earlier and you will be fine


See the screenshot below. It's taken from an install guide for installing cios

CIOSinstall.jpg


In the highlighted area, you can change the IOS values. During my installation, was not an available option, only IOS30 to IOS55.

That's where I am confused. Like I said, the game runs fine so I don't think I need to mess with the trucha bug stuff...But was just worried that I had overwritten one of the 2 digit IOS areas which is not good from my research...

I'll keep digging...
 

ziddey

Well-Known Member
Member
Joined
Jun 23, 2007
Messages
542
Trophies
0
XP
119
Country
United States
YOU DID NOT INSTALL CIOS38REV14 PERIOD



you're on 3.4u and don't have a trucha bugged ios to install it.

use tbr1.1 to go through the procedure. read some guides.


also, hermes v4 cios is better. not sure if neogamma would work with it or not though.
 

nabster92

Well-Known Member
Member
Joined
Apr 16, 2009
Messages
1,630
Trophies
0
Website
Visit site
XP
51
Country
United States
Notice in the screenshot it says select an IOS to USE, not install to. You give it an IOS that has the trucha bug already so it can install to IOS249. The only time you would tell it to use IOS249 is if you were updating it after already previously having an older cIOS on your system (which would have the trucha bug too) otherwise you would use the trucha bug restorer to get it back in IOS36 and use that. If you didn't do that, chances are the installation didn't even go through anyways and you didn't install anything.
 

PsycloneTW

Member
OP
Newcomer
Joined
Nov 22, 2009
Messages
5
Trophies
0
XP
31
Country
United States
nabster92 said:
Notice in the screenshot it says select an IOS to USE, not install to. You give it an IOS that has the trucha bug already so it can install to IOS249. The only time you would tell it to use IOS249 is if you were updating it after already previously having an older cIOS on your system (which would have the trucha bug too) otherwise you would use the trucha bug restorer to get it back in IOS36 and use that. If you didn't do that, chances are the installation didn't even go through anyways and you didn't install anything.


Interesting, no wonder nutta_nic was saying I was not making sense. I admit I am new to the loaders and such as I've always just been able to rely on my mod chip to do the work for me. Thanks for throwing me a clue. It's sound like in fact that I didn't install anything. I am still a bit confused though because what I've read about neogamma was that it required cios249 to be installed to be able to load games, perhaps that's only relevant if you want to load from USB? This wouldn't apply here because I'm running from DVD.
 

nabster92

Well-Known Member
Member
Joined
Apr 16, 2009
Messages
1,630
Trophies
0
Website
Visit site
XP
51
Country
United States
No, if you want to use a backup loader to use a backup game at all, you need a cIOS installed to do so. Well, actually I'm not sure how it works with modchips, I know you can use backup loaders to load legit games fine without anything, so maybe it would work with a modchip for normal games, but I don't think that would do anything different from the disc channel at all like that.

To get any proper use out of a backup loader, just use the trucha bug restorer and properly install a cIOS. And just call it cIOS rev14 or whatever revision you're trying to install. cios249 sounds kinda nooby, and cios36 even moreso since rev14 isn't even based off of IOS36.
 

WiiPower

Well-Known Member
Member
Joined
Oct 17, 2008
Messages
8,165
Trophies
0
XP
345
Country
Gambia, The
Didn't read the full thread, but you can use NeoGamma with a modchip without a cIOS installed. If you don't have an IOS249, it will try to load that, fail and stay at IOS36. If you have a stub IOS249, you need to get a config file and edit to do load any IOS you want.
 

zero.echelon

Well-Known Member
Newcomer
Joined
Nov 19, 2009
Messages
74
Trophies
0
Age
30
Location
Chile
Website
Visit site
XP
49
Country
Cote d'Ivoire
WiiPower said:
Didn't read the dull thread, but you can use NeoGamma with a modchip without a cIOS installed. If you don't have an IOS249, it will try to load that, fail and stay at IOS36. If you have a stub IOS249, you need to get a config file and edit to do load any IOS you want.

Hey, I didn't know that!
Something good came after reaiding all that thread! thx
 

PsycloneTW

Member
OP
Newcomer
Joined
Nov 22, 2009
Messages
5
Trophies
0
XP
31
Country
United States
WiiPower said:
Didn't read the full thread, but you can use NeoGamma with a modchip without a cIOS installed. If you don't have an IOS249, it will try to load that, fail and stay at IOS36. If you have a stub IOS249, you need to get a config file and edit to do load any IOS you want.

Well that explains everything I'm seeing. Thanks for the clarification!
 

Site & Scene News

Popular threads in this forum

General chit-chat
Help Users
    RedColoredStars @ RedColoredStars: Going to smoke a bowl, eat pizza, drink a beer, and watch I Saw the TV Glow.